

textures/skies/mp_drakeq
{
	qer_editorimage env/mp_drakeq/drakeq_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_surfacelight 100
	q3map_sun 1 1 0.7 100 0 30
	skyparms env/mp_drakeq/drakeq - -
}

textures/bst_tech/bst_clangdark_bounce
{
	surfaceparm nodamage
	q3map_lightimage textures/bst_tech/bst_jumppadsmall.jpg	
	q3map_surfacelight 400
	qer_editorimage textures/sfx/clangdark_bounce.jpg

	
	{
		map textures/sfx/clangdark_bounce.jpg
		rgbGen identity
	}
	
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	
	{
		map textures/sfx/bouncepad01b_layer1.jpg
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/bst_tech/bst_jumppadsmall.jpg
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/sfx/tesla1
{
	qer_editorimage textures/sfx/tesla1.tga
	cull none
	deformVertexes wave 100 triangle 0 5 1 1
	surfaceparm nolightmap
	{
		map textures/sfx/tesla1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .5 0 0 0
		tcMod scroll 5 5
		
	}
}

textures/base_trim/proto_fence_nonsolid
{
	qer_editorimage textures/base_trim/proto_fence.png
	surfaceparm nonsolid
	surfaceparm trans	
	surfaceparm alphashadow	
	cull none
        nopicmip

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/bst_tech/greywall_dark_s
{
	qer_editorimage textures/bst_tech/greywall_dark1.jpg
	{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
	}
	{
		map textures/bst_tech/greywall_dark1.jpg
		blendfunc gl_src_alpha gl_one_minus_src_color
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}


textures/bst_tech/bst_striplight_1k
{
	qer_editorimage textures/bst_tech/bst_striplight.jpg
	q3map_lightimage textures/bst_tech/bst_striplight.jpg
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bst_tech/bst_striplight.jpg
		rgbGen identity
	}
}

textures/bst_tech/bst_ventlight_1k
{
	qer_editorimage textures/bst_tech/bst_vent7.jpg
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bst_tech/bst_vent7.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bst_tech/bst_vent7_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/bst_tech/bst_trim_sml_2k
{
	qer_editorimage textures/bst_tech/bst_trim_sml.jpg
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightSubdivide 64

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bst_tech/bst_trim_sml.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bst_tech/bst_trim_sml_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/bst_tech/bst_trim_s3_2k
{
	qer_editorimage textures/bst_tech/bst_trim_s3.jpg
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightSubdivide 64

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bst_tech/bst_trim_s3.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/bst_tech/bst_trim_s3_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

// ITEM MARKERS

textures/bst_tech/bst_teleexit_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_teleexit.jpg
      nopicmip
   {
      map textures/bst_tech/bst_teleexit.jpg
   }
}

textures/bst_tech/bst_item_ar_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_item_ar.jpg
      nopicmip
   {
      map textures/bst_tech/bst_item_ar.jpg
   }
}

textures/bst_tech/bst_item_qd_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_item_qd.jpg
      nopicmip
   {
      map textures/bst_tech/bst_item_qd.jpg
   }
}

textures/bst_tech/bst_item_mh_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_item_mh.jpg
      nopicmip
   {
      map textures/bst_tech/bst_item_mh.jpg
   }
}

textures/bst_tech/bst_weap_sg_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_weap_sg.jpg
      nopicmip
   {
      map textures/bst_tech/bst_weap_sg.jpg
   }
}

textures/bst_tech/bst_weap_pg_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_weap_pg.jpg
      nopicmip
   {
      map textures/bst_tech/bst_weap_pg.jpg
   }
}

textures/bst_tech/bst_weap_gl_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_weap_gl.jpg
      nopicmip
   {
      map textures/bst_tech/bst_weap_gl.jpg
   }
}

textures/bst_tech/bst_weap_rl_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_weap_rl.jpg
      nopicmip
   {
      map textures/bst_tech/bst_weap_rl.jpg
   }
}

textures/bst_tech/bst_weap_lg_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_weap_lg.jpg
      nopicmip
   {
      map textures/bst_tech/bst_weap_lg.jpg
   }
}

textures/bst_tech/bst_weap_rg_nm
{
      surfaceparm nomarks
      qer_editorimage textures/bst_tech/bst_weap_rg.jpg
      nopicmip
   {
      map textures/bst_tech/bst_weap_rg.jpg
   }
}


// SPONSOR LOGOS

textures/bst_tech/maverick1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/MaverickServers_1024x512.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/MaverickServers_1024x512.jpg
   }
}

textures/bst_tech/sapphire1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/Sapphire_1024x768.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/Sapphire_1024x768.jpg
   }
}

textures/bst_tech/modo1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/Modo_black_768x512.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/Modo_black_768x512.jpg
   }
}

textures/bst_tech/kot1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/Kot-in-Action_logo_1024x1024.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/Kot-in-Action_logo_1024x1024.jpg
   }
}

textures/bst_tech/steelstorm1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/Steel_Storm_1024x1024.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/Steel_Storm_1024x1024.jpg
   }
}

textures/bst_tech/massacre1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/MassacreServers_768x768.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/MassacreServers_768x768.jpg
   }
}

textures/bst_tech/sapphire2
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/Sapphire_1024x1024.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/Sapphire_1024x1024.jpg
   }
}

textures/bst_tech/luxology1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/Luxology_white_768x1024.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/Luxology_white_768x1024.jpg
   }
}

textures/bst_tech/rur1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/ReadyUpRadio_1024x1024.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/ReadyUpRadio_1024x1024.jpg
   }
}

textures/bst_tech/luxology2
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/Luxology_black_1024x256.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/Luxology_black_1024x256.jpg
   }
}

textures/bst_tech/wacom1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/Wacom_512x512.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/Wacom_512x512.jpg
   }
}

textures/bst_tech/lunar1
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/LunarModule_logo1_256x256.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/LunarModule_logo1_256x256.jpg
   }
}

textures/bst_tech/maverick2
{
      surfaceparm nomarks
      qer_editorimage textures/bst_dm1sponsors/MaverickServers_1024x1024.jpg
      nopicmip
   {
      map textures/bst_dm1sponsors/MaverickServers_1024x1024.jpg
   }
}